#ifndef RADIO_H
#define RADIO_H

#include <stdbool.h>
#include <stdint.h>

typedef enum
{
    MODE_1_MBIT,
    MODE_125_KBIT,
    
} radio_modes_t;
/*
typedef enum
{
    POWER_ZERO_DB,
    POWER_FOUR_DB,
    POWER_NINE_DB,
    
} radio_power_t;
*/

void radio_set_mode(radio_modes_t mode);
void radio_set_tx_power(int8_t power);

uint8_t radio_get_packet(uint8_t *p_packet);
void radio_setup(bool is_transmitter, int8_t tx_power, radio_modes_t mode);
void radio_receive_packet(void);
void radio_send_packet(uint8_t *p_packet, uint8_t length);

int8_t get_rssi(void);
bool get_crc(void);
bool is_packet_received(void);

#endif //RADIO_H
